"use strict";

var _wp = wp,
  apiFetch = _wp.apiFetch;
jQuery(function ($) {
  var gutenify_storelyRedirectToKitPage = function gutenify_storelyRedirectToKitPage(res) {
    // if( res?.status && 'active' === res.status ) {
    window.location = "".concat(window.gutenify_storely.gutenify_kit_gallery);
    // }
  };

  // Activate Gutenify.
  $(document).on('click', '.gutenify-storely-activate-gutenify', function () {
    $(this).html('<span class="dashicons dashicons-update"></span> Loading...').addClass('gutenify-storely-importing-gutenify');
    apiFetch({
      path: '/wp/v2/plugins/gutenify/gutenify',
      method: 'POST',
      data: {
        "status": "active"
      }
    }).then(function (res) {
      gutenify_storelyRedirectToKitPage(res);
    })["catch"](function () {
      gutenify_storelyRedirectToKitPage({});
    });
  });
  $(document).on('click', '.gutenify-storely-install-gutenify', function () {
    $(this).html('<span class="dashicons dashicons-update"></span> Loading...').addClass('gutenify-storely-importing-gutenify');
    apiFetch({
      path: '/wp/v2/plugins',
      method: 'POST',
      data: {
        "slug": "gutenify",
        "status": "active"
      }
    }).then(function (res) {
      gutenify_storelyRedirectToKitPage(res);
    })["catch"](function () {
      gutenify_storelyRedirectToKitPage({});
    });
  });
  $(document).on('click', '.gutenify-storely-admin-notice .notice-dismiss', function () {
    console.log(ajaxurl + "?action=gutenify_storely_hide_theme_info_noticebar");
    apiFetch({
      url: ajaxurl + "?action=gutenify_storely_hide_theme_info_noticebar&gutenify_storely-nonce-name=".concat(window.gutenify_storely.gutenify_storely_nonce),
      method: 'POST'
    }).then(function (res) {
      console.log(res);
    })["catch"](function (res) {
      console.log(res);
    });
  });
});